aboutsummaryrefslogtreecommitdiffstats
path: root/trunk/sbin/fndSession
diff options
context:
space:
mode:
authorFrederic Crozat <fcrozat@mandriva.com>2007-09-14 16:38:49 +0000
committerFrederic Crozat <fcrozat@mandriva.com>2007-09-14 16:38:49 +0000
commit807bbf2c961c181b52234fff7503a440deeedea7 (patch)
tree2a8a2e35a3c0663cb4f2abc5afbb1612e07c5fa9 /trunk/sbin/fndSession
parente9e904cbfedaecf10d79c64cf77921053a59377a (diff)
downloadcommon-data-2008_0_9mdv.tar
common-data-2008_0_9mdv.tar.gz
common-data-2008_0_9mdv.tar.bz2
common-data-2008_0_9mdv.tar.xz
common-data-2008_0_9mdv.zip
V2008_0_9mdvV2008_0_9mdv
Diffstat (limited to 'trunk/sbin/fndSession')
-rwxr-xr-xtrunk/sbin/fndSession29
1 files changed, 29 insertions, 0 deletions
diff --git a/trunk/sbin/fndSession b/trunk/sbin/fndSession
new file mode 100755
index 0000000..4fd7c7c
--- /dev/null
+++ b/trunk/sbin/fndSession
@@ -0,0 +1,29 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandriva Linux
+# Module : sbin
+# File : fndSession
+# Version : $Id$
+# Author : Frederic Lepied
+# Created On : Mon May 30 10:43:12 2005
+# Purpose : find sessions for display managers
+#---------------------------------------------------------------
+
+umask 022
+
+FILES=`/bin/ls /etc/X11/dm.d/*.conf 2> /dev/null`
+
+if [ $? != 0 ]; then
+ exit 0
+fi
+
+for f in $FILES; do
+ EXEC=
+ FNDSESSION_EXEC=
+ eval `grep 'EXEC=' "$f"`
+ if [ -x "$EXEC" -a -n "$FNDSESSION_EXEC" ]; then
+ $FNDSESSION_EXEC
+ fi
+done
+
+# fndSession ends here